Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network1.6.232.0/22
Usable hosts1,022
Subnet mask255.255.252.0
Addresses1,024
Network address
1.6.232.0
Broadcast address
1.6.235.255
First usable
1.6.232.1
Last usable
1.6.235.254
Usable hosts
1,022 (1,024 less the network and broadcast addresses)
Subnet mask
255.255.252.0
Wildcard mask
0.0.3.255 (Cisco ACLs, OSPF)
Prefix length
/22
Type
Public public
Old class
A (default /8)
As numbers
Hex 0106E800 · Integer 17229824 to 17230847
Reverse DNS zones
232.6.1.in-addr.arpa
233.6.1.in-addr.arpa
234.6.1.in-addr.arpa
235.6.1.in-addr.arpa
/22 is not on a 8-bit boundary, so it takes 4 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00000001.00000110.11101000.000000001.6.232.0
Subnet mask11111111.11111111.11111100.00000000255.255.252.0
Network00000001.00000110.11101000.000000001.6.232.0
Broadcast00000001.00000110.11101011.111111111.6.235.255
Split into smaller subnets/29

1.6.232.0/22 makes 128 subnets of /29.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
11.6.232.0/291.6.232.1 to 1.6.232.61.6.232.76
21.6.232.8/291.6.232.9 to 1.6.232.141.6.232.156
31.6.232.16/291.6.232.17 to 1.6.232.221.6.232.236
41.6.232.24/291.6.232.25 to 1.6.232.301.6.232.316
51.6.232.32/291.6.232.33 to 1.6.232.381.6.232.396
61.6.232.40/291.6.232.41 to 1.6.232.461.6.232.476
71.6.232.48/291.6.232.49 to 1.6.232.541.6.232.556
81.6.232.56/291.6.232.57 to 1.6.232.621.6.232.636
91.6.232.64/291.6.232.65 to 1.6.232.701.6.232.716
101.6.232.72/291.6.232.73 to 1.6.232.781.6.232.796
111.6.232.80/291.6.232.81 to 1.6.232.861.6.232.876
121.6.232.88/291.6.232.89 to 1.6.232.941.6.232.956
131.6.232.96/291.6.232.97 to 1.6.232.1021.6.232.1036
141.6.232.104/291.6.232.105 to 1.6.232.1101.6.232.1116
151.6.232.112/291.6.232.113 to 1.6.232.1181.6.232.1196
161.6.232.120/291.6.232.121 to 1.6.232.1261.6.232.1276
171.6.232.128/291.6.232.129 to 1.6.232.1341.6.232.1356
181.6.232.136/291.6.232.137 to 1.6.232.1421.6.232.1436
191.6.232.144/291.6.232.145 to 1.6.232.1501.6.232.1516
201.6.232.152/291.6.232.153 to 1.6.232.1581.6.232.1596
211.6.232.160/291.6.232.161 to 1.6.232.1661.6.232.1676
221.6.232.168/291.6.232.169 to 1.6.232.1741.6.232.1756
231.6.232.176/291.6.232.177 to 1.6.232.1821.6.232.1836
241.6.232.184/291.6.232.185 to 1.6.232.1901.6.232.1916
251.6.232.192/291.6.232.193 to 1.6.232.1981.6.232.1996
261.6.232.200/291.6.232.201 to 1.6.232.2061.6.232.2076
271.6.232.208/291.6.232.209 to 1.6.232.2141.6.232.2156
281.6.232.216/291.6.232.217 to 1.6.232.2221.6.232.2236
291.6.232.224/291.6.232.225 to 1.6.232.2301.6.232.2316
301.6.232.232/291.6.232.233 to 1.6.232.2381.6.232.2396
311.6.232.240/291.6.232.241 to 1.6.232.2461.6.232.2476
321.6.232.248/291.6.232.249 to 1.6.232.2541.6.232.2556
331.6.233.0/291.6.233.1 to 1.6.233.61.6.233.76
341.6.233.8/291.6.233.9 to 1.6.233.141.6.233.156
351.6.233.16/291.6.233.17 to 1.6.233.221.6.233.236
361.6.233.24/291.6.233.25 to 1.6.233.301.6.233.316
371.6.233.32/291.6.233.33 to 1.6.233.381.6.233.396
381.6.233.40/291.6.233.41 to 1.6.233.461.6.233.476
391.6.233.48/291.6.233.49 to 1.6.233.541.6.233.556
401.6.233.56/291.6.233.57 to 1.6.233.621.6.233.636
411.6.233.64/291.6.233.65 to 1.6.233.701.6.233.716
421.6.233.72/291.6.233.73 to 1.6.233.781.6.233.796
431.6.233.80/291.6.233.81 to 1.6.233.861.6.233.876
441.6.233.88/291.6.233.89 to 1.6.233.941.6.233.956
451.6.233.96/291.6.233.97 to 1.6.233.1021.6.233.1036
461.6.233.104/291.6.233.105 to 1.6.233.1101.6.233.1116
471.6.233.112/291.6.233.113 to 1.6.233.1181.6.233.1196
481.6.233.120/291.6.233.121 to 1.6.233.1261.6.233.1276
491.6.233.128/291.6.233.129 to 1.6.233.1341.6.233.1356
501.6.233.136/291.6.233.137 to 1.6.233.1421.6.233.1436
511.6.233.144/291.6.233.145 to 1.6.233.1501.6.233.1516
521.6.233.152/291.6.233.153 to 1.6.233.1581.6.233.1596
531.6.233.160/291.6.233.161 to 1.6.233.1661.6.233.1676
541.6.233.168/291.6.233.169 to 1.6.233.1741.6.233.1756
551.6.233.176/291.6.233.177 to 1.6.233.1821.6.233.1836
561.6.233.184/291.6.233.185 to 1.6.233.1901.6.233.1916
571.6.233.192/291.6.233.193 to 1.6.233.1981.6.233.1996
581.6.233.200/291.6.233.201 to 1.6.233.2061.6.233.2076
591.6.233.208/291.6.233.209 to 1.6.233.2141.6.233.2156
601.6.233.216/291.6.233.217 to 1.6.233.2221.6.233.2236
611.6.233.224/291.6.233.225 to 1.6.233.2301.6.233.2316
621.6.233.232/291.6.233.233 to 1.6.233.2381.6.233.2396
631.6.233.240/291.6.233.241 to 1.6.233.2461.6.233.2476
641.6.233.248/291.6.233.249 to 1.6.233.2541.6.233.2556
651.6.234.0/291.6.234.1 to 1.6.234.61.6.234.76
661.6.234.8/291.6.234.9 to 1.6.234.141.6.234.156
671.6.234.16/291.6.234.17 to 1.6.234.221.6.234.236
681.6.234.24/291.6.234.25 to 1.6.234.301.6.234.316
691.6.234.32/291.6.234.33 to 1.6.234.381.6.234.396
701.6.234.40/291.6.234.41 to 1.6.234.461.6.234.476
711.6.234.48/291.6.234.49 to 1.6.234.541.6.234.556
721.6.234.56/291.6.234.57 to 1.6.234.621.6.234.636
731.6.234.64/291.6.234.65 to 1.6.234.701.6.234.716
741.6.234.72/291.6.234.73 to 1.6.234.781.6.234.796
751.6.234.80/291.6.234.81 to 1.6.234.861.6.234.876
761.6.234.88/291.6.234.89 to 1.6.234.941.6.234.956
771.6.234.96/291.6.234.97 to 1.6.234.1021.6.234.1036
781.6.234.104/291.6.234.105 to 1.6.234.1101.6.234.1116
791.6.234.112/291.6.234.113 to 1.6.234.1181.6.234.1196
801.6.234.120/291.6.234.121 to 1.6.234.1261.6.234.1276
811.6.234.128/291.6.234.129 to 1.6.234.1341.6.234.1356
821.6.234.136/291.6.234.137 to 1.6.234.1421.6.234.1436
831.6.234.144/291.6.234.145 to 1.6.234.1501.6.234.1516
841.6.234.152/291.6.234.153 to 1.6.234.1581.6.234.1596
851.6.234.160/291.6.234.161 to 1.6.234.1661.6.234.1676
861.6.234.168/291.6.234.169 to 1.6.234.1741.6.234.1756
871.6.234.176/291.6.234.177 to 1.6.234.1821.6.234.1836
881.6.234.184/291.6.234.185 to 1.6.234.1901.6.234.1916
891.6.234.192/291.6.234.193 to 1.6.234.1981.6.234.1996
901.6.234.200/291.6.234.201 to 1.6.234.2061.6.234.2076
911.6.234.208/291.6.234.209 to 1.6.234.2141.6.234.2156
921.6.234.216/291.6.234.217 to 1.6.234.2221.6.234.2236
931.6.234.224/291.6.234.225 to 1.6.234.2301.6.234.2316
941.6.234.232/291.6.234.233 to 1.6.234.2381.6.234.2396
951.6.234.240/291.6.234.241 to 1.6.234.2461.6.234.2476
961.6.234.248/291.6.234.249 to 1.6.234.2541.6.234.2556
971.6.235.0/291.6.235.1 to 1.6.235.61.6.235.76
981.6.235.8/291.6.235.9 to 1.6.235.141.6.235.156
991.6.235.16/291.6.235.17 to 1.6.235.221.6.235.236
1001.6.235.24/291.6.235.25 to 1.6.235.301.6.235.316
1011.6.235.32/291.6.235.33 to 1.6.235.381.6.235.396
1021.6.235.40/291.6.235.41 to 1.6.235.461.6.235.476
1031.6.235.48/291.6.235.49 to 1.6.235.541.6.235.556
1041.6.235.56/291.6.235.57 to 1.6.235.621.6.235.636
1051.6.235.64/291.6.235.65 to 1.6.235.701.6.235.716
1061.6.235.72/291.6.235.73 to 1.6.235.781.6.235.796
1071.6.235.80/291.6.235.81 to 1.6.235.861.6.235.876
1081.6.235.88/291.6.235.89 to 1.6.235.941.6.235.956
1091.6.235.96/291.6.235.97 to 1.6.235.1021.6.235.1036
1101.6.235.104/291.6.235.105 to 1.6.235.1101.6.235.1116
1111.6.235.112/291.6.235.113 to 1.6.235.1181.6.235.1196
1121.6.235.120/291.6.235.121 to 1.6.235.1261.6.235.1276
1131.6.235.128/291.6.235.129 to 1.6.235.1341.6.235.1356
1141.6.235.136/291.6.235.137 to 1.6.235.1421.6.235.1436
1151.6.235.144/291.6.235.145 to 1.6.235.1501.6.235.1516
1161.6.235.152/291.6.235.153 to 1.6.235.1581.6.235.1596
1171.6.235.160/291.6.235.161 to 1.6.235.1661.6.235.1676
1181.6.235.168/291.6.235.169 to 1.6.235.1741.6.235.1756
1191.6.235.176/291.6.235.177 to 1.6.235.1821.6.235.1836
1201.6.235.184/291.6.235.185 to 1.6.235.1901.6.235.1916
1211.6.235.192/291.6.235.193 to 1.6.235.1981.6.235.1996
1221.6.235.200/291.6.235.201 to 1.6.235.2061.6.235.2076
1231.6.235.208/291.6.235.209 to 1.6.235.2141.6.235.2156
1241.6.235.216/291.6.235.217 to 1.6.235.2221.6.235.2236
1251.6.235.224/291.6.235.225 to 1.6.235.2301.6.235.2316
1261.6.235.232/291.6.235.233 to 1.6.235.2381.6.235.2396
1271.6.235.240/291.6.235.241 to 1.6.235.2461.6.235.2476
1281.6.235.248/291.6.235.249 to 1.6.235.2541.6.235.2556

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses